Subject: Re: bug#1077: bug#670: bug#1077: 23.0.60; x-create-frame: (wrong-type-argument number-or-marker-p nil)

From: martin rudalics <[email-masked]>
Date: Sun, 28 Nov 2010 10:50:50 +0100

> It must be some Lisp code, called directly or indirectly by
 > x-create-frame.

The menu-bar-lines indications appear inconsistent for stand-alone
minibuffer frames.  If I do

(let ((frame (make-frame '((minibuffer . only)))))
   (frame-parameter frame 'menu-bar-lines))

the frame I create doesn't have a menubar but the frame parameter says
there's one such line.  And in the ChangeLogs I can find

2006-03-02  Nick Roberts  <[email-masked]>

	* dframe.el (dframe-frame-mode): Don't burp when menu-bar-lines
	is nil.

so apparently a similar problem already occurred in the wild.

martin